Bug 51731 - Slide render draws a black border around each shape(element)
Slide render draws a black border around each shape(element)
Status: RESOLVED FIXED
Product: POI
Classification: Unclassified
Component: HSLF
3.8-dev
PC All
: P2 normal (vote)
: ---
Assigned To: POI Developers List
:
Depends on:
Blocks:
  Show dependency tree
 
Reported: 2011-08-28 08:32 UTC by Doua Beri
Modified: 2012-02-22 11:53 UTC (History)
2 users (show)



Attachments
ppt file (5.28 KB, image/png)
2011-08-28 08:32 UTC, Doua Beri
Details
ppt file (503.50 KB, application/vnd.ms-powerpoint)
2011-08-28 08:35 UTC, Doua Beri
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Doua Beri 2011-08-28 08:32:17 UTC
Created attachment 27440 [details]
ppt file

I want to render a slide to an image following the example I found on apache POI site: http://poi.apache.org/slideshow/how-to-shapes.html#Render and everything is working ok, but every element in the slide is render with a black border around it.
I didn't tried fancy shapes, just text and images.
Comment 1 Doua Beri 2011-08-28 08:35:48 UTC
Created attachment 27441 [details]
ppt file
Comment 2 holgerbrandl 2012-02-17 19:51:57 UTC
Imho, this bug should is a showstopper, as currently poi doesn't even render the simplest powerpoint slide correctly:
1) open powerpoint 2007/11/12 
2) put some text into the title shape
3) save it, and render it with poi.

The fix seems easy to me, as the default bounding box width should be set to zero if not present, and the box should not be painted if the width is 0. Here's a simple patch:

http://dl.dropbox.com/u/422074/don_t_draw_empty_bounding_boxes.patch
Comment 3 Yegor Kozlov 2012-02-22 11:53:52 UTC
Should be fixed in r1292247. The fix is more complex than in the proposed patch and has to do with interpreting boolean shape properties. 

Yegor


(In reply to comment #2)
> Imho, this bug should is a showstopper, as currently poi doesn't even render
> the simplest powerpoint slide correctly:
> 1) open powerpoint 2007/11/12 
> 2) put some text into the title shape
> 3) save it, and render it with poi.
> 
> The fix seems easy to me, as the default bounding box width should be set to
> zero if not present, and the box should not be painted if the width is 0.
> Here's a simple patch:
> 
> http://dl.dropbox.com/u/422074/don_t_draw_empty_bounding_boxes.patch